New: use Extruct search and tables from Claude, Codex, and more with the remote MCP server.
New: use Extruct search and tables from Claude, Codex, and more with the remote MCP server.
Get table header and status.
curl --request GET \
--url https://api.extruct.ai/v1/tables/{table_id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"kind": "generic",
"columns": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"config": {
"name": "<string>",
"key": "<string>",
"kind": "input"
}
}
],
"owner": {
"id": "<string>",
"email": "<string>"
},
"status": {
"num_columns": 123,
"run_status": "running",
"num_rows": 0,
"num_output_columns": 0,
"num_input_columns": 0,
"num_cells_completed": 0,
"num_cells_in_progress": 0
},
"description": "<string>",
"tags": [
"<string>"
],
"child_relationships": [
{
"table_id": "<string>",
"relationship_type": "company_people"
}
],
"parent_relationships": [
{
"table_id": "<string>",
"relationship_type": "company_people"
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.extruct.ai/llms.txt
Use this file to discover all available pages before exploring further.
export EXTRUCT_API_TOKEN="YOUR_API_TOKEN"
export TABLE_ID="YOUR_TABLE_ID"
curl --get "https://api.extruct.ai/v1/tables/${TABLE_ID}" \
-H "Authorization: Bearer ${EXTRUCT_API_TOKEN}"
table_id (required): target table identifier.run_status, num_cells_in_progress, and num_cells_completed.
run_status=idle and num_cells_in_progress=0.
401 UnauthorizedAuthorization: Bearer ${EXTRUCT_API_TOKEN}.
404 Not FoundBearer authentication header of the form Bearer <token>, where <token> is your auth token.
Successful Response
Table ID.
Table creation time.
Table name.
Table type.
generic, company, people Table columns configurations.
Show child attributes
Show child attributes
Show child attributes
Table description.
Table tags.
Child table relationships.
Show child attributes
Parent table relationships.
Show child attributes
curl --request GET \
--url https://api.extruct.ai/v1/tables/{table_id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"kind": "generic",
"columns": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"config": {
"name": "<string>",
"key": "<string>",
"kind": "input"
}
}
],
"owner": {
"id": "<string>",
"email": "<string>"
},
"status": {
"num_columns": 123,
"run_status": "running",
"num_rows": 0,
"num_output_columns": 0,
"num_input_columns": 0,
"num_cells_completed": 0,
"num_cells_in_progress": 0
},
"description": "<string>",
"tags": [
"<string>"
],
"child_relationships": [
{
"table_id": "<string>",
"relationship_type": "company_people"
}
],
"parent_relationships": [
{
"table_id": "<string>",
"relationship_type": "company_people"
}
]
}